rpmtd_s Struct Reference
Querying package headers: » RPM Tag Data Container API.

Container for rpm tag data (from headers or extensions). More...

`#include <rpmtd.h>`

## Data Fields

rpm_tag_t | tag
rpm_tagtype_t | type
rpm_count_t | count
rpm_data_t | data
rpmtdFlags | flags
int | ix
rpm_count_t | size

## Detailed Description

Container for rpm tag data (from headers or extensions).

Todo:
  Make this opaque (at least outside rpm itself)

Definition at line 32 of file rpmtd.h.

## Field Documentation

## count

rpm_count_t rpmtd_s::count

Definition at line 35 of file rpmtd.h.

## data

rpm_data_t rpmtd_s::data

Definition at line 36 of file rpmtd.h.

## flags

rpmtdFlags rpmtd_s::flags

Definition at line 37 of file rpmtd.h.

## ix

int rpmtd_s::ix

Definition at line 38 of file rpmtd.h.

## size

rpm_count_t rpmtd_s::size

Definition at line 39 of file rpmtd.h.

## tag

rpm_tag_t rpmtd_s::tag

Definition at line 33 of file rpmtd.h.

## type

rpm_tagtype_t rpmtd_s::type

Definition at line 34 of file rpmtd.h.

The documentation for this struct was generated from the following file:

- rpmtd.h